<?php 
global $myUser;
if(!$myUser->can('firm','configure')) throw new Exception("Permissions insuffisantes",403);
?>
<div class="row">
	<div class="col-md-12">
		<br>
		<a class="btn btn-success float-right" href="firm.php"><i class="fas fa-plus"></i> Nouvel établissement</a>
		<h3>Établissements</h3>
		<div class="clear"></div>
		<hr/>
		<div class="panel panel-default">
			<div class="panel-heading">Établissements existants :</div><br>
			<table id="firms" class="table table-striped ">
				<thead>
					<tr>
						<th>#</th>
						<th></th>
						<th>Raison sociale</th>
						<th>Description</th>
						<th>Téléphone</th>
						<th>Adresse</th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<tr data-id="{{id}}" class="noDisplay">
						<td>{{id}}</td>
						<td>{{#logo}}<img class="avatar-mini" data-src="{{logo}}"/>{{/logo}}</td>
						<td>{{label}}</td>
						<td>{{description}}</td>
						<td>{{phone}}</td>
						<td>{{address}}</td>
						<td class="text-right">
							<div onclick="edit_firm(this)" class="btn btn-info btn-squarred btn-mini"><i class="fas fa-pencil-alt"></i></div>
							<div onclick="delete_firm(this)" class="btn btn-danger btn-squarred btn-mini"><i class="fas fa-times"></i></div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>

